Skip to main content
PATCH
/
groups
/
{group}
Update a group
curl --request PATCH \
  --url https://api.example.com/groups/{group} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "type": "public",
  "only_admin_publish": true,
  "post_comments_enabled_default": true
}
'
{
  "data": {
    "id": 1,
    "content_type": "group",
    "name": "Team Alpha",
    "description": "<string>",
    "type": "public",
    "mute_rule": 123,
    "has_unread_notifications": true,
    "only_admin_publish": 123,
    "post_comments_enabled_default": true,
    "member": "<string>",
    "image": {},
    "auto": {},
    "url": "api/groups/1",
    "permissions": {
      "member": "<string>",
      "edit": true,
      "delete": true
    },
    "publish": {
      "updated_at": 123
    },
    "membership": {
      "auto": true
    },
    "stats": {
      "active": 123
    }
  }
}

Path Parameters

group
integer
required

Group ID

Body

application/json
name
string | null

New group name

description
string | null

New group description

type
enum<string> | null

New group visibility type

Available options:
public,
private
only_admin_publish
boolean | null

If true, only admins can publish posts in the group.

post_comments_enabled_default
boolean | null

Whether comments should be enabled by default on new posts.

Response

Updated group.

data
object